jQuery(document).ready(function () {

	if (registroManual == 0){
		$("form input[id=FRegSal014]").attr("readonly", "readonly");
		$("form input[id=NRegSal014]").attr("readonly", "readonly");
		//$("#FRegSal014").rup_date({datetimepicker: true, disabled: true});
	} else {
		$("#FRegSal014").rup_date({datetimepicker: true});
	}	
		
	$("form input[id=FNotif014]").attr("readonly", "readonly");
	
	if($("#estadoExp").val()=='F'){
		$('input[type=radio][name=estadoExp010][value=F]').attr('checked', true);
	}else if($("#estadoExp").val()=='D'){
		$('input[type=radio][name=estadoExp010][value=D]').attr('checked', true);
		$("#observacionestextEs").text($.rup.i18n.app.textArea.motivosEs);
		$("#observacionestextEu").text($.rup.i18n.app.textArea.motivosEu);
	}
	
	 $('input[type=radio][name=estadoExp010]').on('change', function(){
		switch($(this).val()) {
        case 'F':
        	$("#observacionestextEs").text($.rup.i18n.app.textArea.observacionesEs);
			$("#observacionestextEu").text($.rup.i18n.app.textArea.observacionesEu);
        	 break;
        case 'D':
        	$("#observacionestextEs").text($.rup.i18n.app.textArea.motivosEs);
			$("#observacionestextEu").text($.rup.i18n.app.textArea.motivosEu);
        	break;
		}
	});

	 if ($("#id004Firmante").val()){
		 $("#firmantesFieldset input[type=radio][value=" + $("#id004Firmante").val()+"]").prop("checked", true);
	 }

	 $("#resoluciones_form").rup_validate({
			feedback:$("#tramitacion_feedback"),
			liveCheckingErrors: true,
			showFieldErrorAsDefault: true,
			showErrorsInFeedback: true,
			showFieldErrorsInFeedback: true,
			rules:{
				"fTramitacion014":{required:true, date:true},
				"FRegSal014":{required:function(){
					if (registroManual == 1){return true;} 
					else { return false;}
					}, dateTime:true},
				"NRegSal014":{required:function(){
					if (registroManual == 1){return true;} 
					else { return false;}
					}
				}
			}
		});
	 
	 //bloqueaSelectorDocumento();
	 checkCondiciones();
	 var hayDoc = contarDocs ();
	 var estaEnDokusi= enDokusi();
	 //Botonera guardar datos expediente
	 if(!estadoCierreRealizado && esUsuarioModificacion){
		 if(estaEnDokusi==false){//Si el documento esta en dokusi, no mostrar toolbar
			 if(hayDoc==true){
				 $("#gestionarDocs_toolbar").rup_toolbar({
					 buttons:
						 [{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true},
						  {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
						  {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true }]
				 });
			
				 //Se deshabilitan los campos de la pantalla. Una vez generado el documento no se pueden modificar los datos
				 bloqueaCampos();
			
			 }else{
				 $("#gestionarDocs_toolbar").rup_toolbar({
					 buttons:
						 [{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar},
						  {id:"DeshacerResolucion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true}]
				 });
				 $("#fTramitacion014").rup_date({datetimepicker: false});
			 }
		 } else {
			 //Se deshabilitan los campos de la pantalla. Una vez generado el documento no se pueden modificar los datos
			 bloqueaCampos();
	
			 if (idestado == 5){
				/* $("#gestionarDocs_toolbar").rup_toolbar({
					 buttons:
						 [{id:"DeshacerResolucion", i18nCaption:$.rup.i18n.app.botones.DeshacerResolucion, left:true}]
				 });*/		
			 } else {
				 if(vistoBueno=="S"){
					 $("#gestionarDocs_toolbar").rup_toolbar({
						 buttons:
							 [{id:"VistoBueno", i18nCaption:$.rup.i18n.app.botones.VistoBueno, left:true, click:fncVistoBueno}]
					 });
				 }
			 }
		 }
	 }else{
		 bloqueaCampos();
	 }

	 $("[id='gestionarDocs_toolbar##DeshacerResolucion']").click(function(){
		 fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerResolucion);
	 });
	
	 $("[id='gestionarDocs_toolbar##BorrarDocumento']").click(function(){
		 fn_borrar($.rup.i18n.app.mensajes.confirmBorrarDocumento);
	 });

	 $("[id='gestionarDocs_toolbar##FirmarDocumento']").click(function(){
		 fncSubirDocumentoDokusi();
	 });

function fn_generar (){
	var tipoDocumento= "Resolucion";
	var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	var idFase=$("#id001Fase").val();
	var id014=$("#id014").val();
	var condicEspecif015=$("#condicEspecif015").val();
	var idFirmante = $("[name=firmante]:checked").val();
	var fTramitacion = $("#fTramitacion014").val();
	 
	if($("#condicEspecif015").prop('checked')){
		condicEspecif015='S';
	}else{
		condicEspecif015='N';
	}
	var estado=$('input:radio[name=estadoExp010]:checked').val();

	if(ab03bUtils.form.validate($("#resoluciones_form"), $("#tramitacion_feedback"))){
		if(isFirmanteSeleccionado()){
			if (estado=='F' || estado == 'D'){
				$.rup_ajax({
					url: $.rup.CTX_PATH + "documento/generarDocumento",
					dataType: 'json',
					cache : false,
					data:{
						"idExpediente" : idExpediente,
						"idFirmante": idFirmante,
						"observacionesEs" : $("#observacionesEs").val(),
						"observacionesEu" : $("#observacionesEu").val(),
						"FRegSal014" : $("#FRegSal014").rup_date("getDate"),
						"NRegSal014" : $("#NRegSal014").val(),
						"idFase":idFase,"id014":id014,
						"condicEspecif015":condicEspecif015,
						"tipoDocumento": tipoDocumento,
						"estado":estado,
						"fTramitacion014": fTramitacion
					},
					type:"GET",
					contentType: 'application/json',
					success: function(xhr, ajaxOoptions){
						fncEditarPifSuccess(xhr.rutaCompleta);
						document.location.href = "../../../../"+ idExpediente + "/"+id014+"/"+estadoCierreRealizado+"?accionOK=true";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
						$("#FRegSal014").rup_date("setDate", null);
						$("#NRegSal014").val("");
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});				
			} else {
				ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorRadio,  $("#tramitacion_feedback"));
			}

		}else {
			ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorFirmante,  $("#tramitacion_feedback"));
		}
	};
}

});	
	
function bloqueaCampos() {

	 $("form input[name=estadoExp010]").attr("disabled", "disabled");
	 $("form input[name=firmante]").attr("disabled", "disabled");	 
	 $("#observacionesEs").attr("readonly", "readonly");
	 $("#observacionesEu").attr("readonly", "readonly");

	 if (tipoPlan == "2"){
		 $("#condicEspecif015").attr("disabled", "disabled");
	 }
	$("#fTramitacion014").attr("readonly","readonly");
	
	$("form input[id=FRegSal014]").attr("readonly", "readonly");
	$("form input[id=NRegSal014]").attr("readonly", "readonly");
	//$("#FRegSal014").rup_date({datetimepicker: true, disabled: true});
}

function checkCondiciones(){
	if($("#condicEspecif015").val()=='S'){
		$("#condicEspecif015").prop("checked", "checked");
	}
}
